package main

import (
	"fmt"
	"github.com/gin-gonic/gin"
	log "github.com/sirupsen/logrus"
	"youngee_m_api/config"
	"youngee_m_api/route"
	"youngee_m_api/service"
)

func main() {
	r := gin.Default()
	route.InitRoute(r)
	config := config.Init()
	addr := fmt.Sprintf("%v:%v", config.Host, config.Port)
	err := service.AutoTask()
	if err != nil {
		log.Println("service AutoTask error:", err)
	}
	r.Run(addr)
}
